Package Details: blender-3.1-bin 3.1.220405.cc66d1020c3b-1

Git Clone URL: https://aur.archlinux.org/blender-3.1-bin.git (read-only, click to copy)
Package Base: blender-3.1-bin
Description: A fully integrated 3D graphics creation suite
Upstream URL: https://www.blender.org
Licenses: GPL
Submitter: notfood
Maintainer: notfood
Last Packager: notfood
Votes: 3
Popularity: 0.74
First Submitted: 2021-12-02 15:51 (UTC)
Last Updated: 2022-04-05 07:46 (UTC)

Latest Comments

hilton commented on 2022-04-21 21:39 (UTC)

Hello, thanks for the handy package. Just a heads up that we don't need to install all these dependencies as most of them are statically compiled into the blender binary.

I checked the final package with namcap and just installed here with depends=('libxi' 'python' 'libxrender' 'libglvnd' 'hicolor-icon-theme'). Cheers!

notfood commented on 2022-04-14 01:48 (UTC)

That's normal. Nothing can be done about that.

korimitsu commented on 2022-04-13 07:52 (UTC)

Minor issue when building:

Building blender-3.1-bin... ==> Making package: blender-3.1-bin 3.1.220413.cc66d1020c3b-1 (Wed 13 Apr 2022 00:05:31) ==> Checking runtime dependencies... ==> Checking buildtime dependencies... ==> Retrieving sources... -> Found daily.220413.html ==> Validating source files with md5sums... daily.220413.html ... Skipped ==> Removing existing $srcdir/ directory... ==> Extracting sources... ==> Starting pkgver()... ==> Starting build()... --2022-04-13 00:05:34-- https://builder.blender.org/download/daily/blender-3.1.2-stable+v31.cc66d1020c3b-linux.x86_64-release.tar.xz Loaded CA certificate '/etc/ssl/certs/ca-certificates.crt' Resolving builder.blender.org (builder.blender.org)... xx Connecting to builder.blender.org (builder.blender.org)|xx|:443... connected. HTTP request sent, awaiting response... 200 OK Length: 186910864 (178M) [application/x-xz] Saving to: ‘blender-3.1.2-stable+v31.cc66d1020c3b-linux.x86_64-release.tar.xz’

blender-3.1.2-stable+v31.cc66d1020c3b-linu 100%[=======================================================================================>] 178.25M 1.14MB/s in 2m 46s

2022-04-13 00:08:26 (1.07 MB/s) - ‘blender-3.1.2-stable+v31.cc66d1020c3b-linux.x86_64-release.tar.xz’ saved [186910864/186910864]

==> Entering fakeroot environment... ==> Starting package()... ==> Tidying install... -> Removing libtool files... -> Purging unwanted files... -> Removing static library files... -> Stripping unneeded symbols from binaries and libraries... strip: Unable to recognise the format of the input file ./usr/share/blender/3.1/scripts/addons/cycles/lib/kernel_sm_35.cubin' strip: Unable to recognise the format of the input file./usr/share/blender/3.1/scripts/addons/cycles/lib/kernel_sm_37.cubin' strip: Unable to recognise the format of the input file ./usr/share/blender/3.1/scripts/addons/cycles/lib/kernel_sm_50.cubin' strip: Unable to recognise the format of the input file./usr/share/blender/3.1/scripts/addons/cycles/lib/kernel_sm_70.cubin' strip: Unable to recognise the format of the input file ./usr/share/blender/3.1/scripts/addons/cycles/lib/kernel_sm_30.cubin' strip: Unable to recognise the format of the input file./usr/share/blender/3.1/scripts/addons/cycles/lib/kernel_sm_52.cubin' strip: Unable to recognise the format of the input file ./usr/share/blender/3.1/scripts/addons/cycles/lib/kernel_sm_86.cubin' strip: Unable to recognise the format of the input file./usr/share/blender/3.1/scripts/addons/cycles/lib/kernel_sm_61.cubin' strip: Unable to recognise the format of the input file ./usr/share/blender/3.1/scripts/addons/cycles/lib/kernel_sm_60.cubin' strip: Unable to recognise the format of the input file./usr/share/blender/3.1/scripts/addons/cycles/lib/kernel_sm_75.cubin' -> Compressing man and info pages... ==> Checking for packaging issues... ==> Creating package "blender-3.1-bin"... -> Generating .PKGINFO file... -> Generating .BUILDINFO file... -> Generating .MTREE file... -> Compressing package... ==> Leaving fakeroot environment. ==> Finished making: blender-3.1-bin 3.1.220413.cc66d1020c3b-1 (Wed 13 Apr 2022 00:11:00) ==> Cleaning up...

notfood commented on 2021-12-16 06:18 (UTC)

Local python broken, so I enabled the bundled one. Should work now.

mattf commented on 2021-12-15 18:51 (UTC)

Just for the sake of record, the same problem as 3.0-bin is also happening here:

$ blender-3.1
Read prefs: /home/matheus/.config/blender/3.1/config/userpref.blend
Python path configuration:
  PYTHONHOME = (not set)
  PYTHONPATH = (not set)
  program name = '/usr/share/blender/blender-3.1'
  isolated = 0
  environment = 1
  user site = 0
  import site = 1
  sys._base_executable = '/usr/bin/python'
  sys.base_prefix = '/home/sybren/buildbot-builder/linux_glibc217_x86_64_cmake/build_deps/deps/Release/python'
  sys.base_exec_prefix = '/home/sybren/buildbot-builder/linux_glibc217_x86_64_cmake/build_deps/deps/Release/python'
  sys.platlibdir = 'lib'
  sys.executable = '/usr/bin/python'
  sys.prefix = '/home/sybren/buildbot-builder/linux_glibc217_x86_64_cmake/build_deps/deps/Release/python'
  sys.exec_prefix = '/home/sybren/buildbot-builder/linux_glibc217_x86_64_cmake/build_deps/deps/Release/python'
  sys.path = [
    '/home/sybren/buildbot-builder/linux_glibc217_x86_64_cmake/build_deps/deps/Release/python/lib/python39.zip',
    '/home/sybren/buildbot-builder/linux_glibc217_x86_64_cmake/build_deps/deps/Release/python/lib/python3.9',
    '/home/sybren/buildbot-builder/linux_glibc217_x86_64_cmake/build_deps/deps/Release/python/lib/lib-dynload',
  ]
Internal error initializing Python!
Fatal Python error: init_fs_encoding: failed to get the Python codec of the filesystem encoding
Python runtime state: core initialized
ModuleNotFoundError: No module named 'encodings'

Current thread 0x00007fc252ed6180 (most recent call first):
<no Python frame>